Archive the MwEmbedSupport extension
Closed, ResolvedPublic

Description

Reason: Code moved into TimedMediaHandler in T164037: Move all the code out of MwEmbedSupport and into TimedMediaHandler, its only user.

Todo later (not doing this for now):

  • Empty repository and add an ARCHIVED file
  • Archive the extension's Diffusion repository
  • Mark the repository read-only in Gerrit
  • Delete the GitHub mirror
  • Archive Phabricator project MediaWiki-extensions-MwEmbedSupport for associated extension/skin and edit its description for associated extension/skin with a link to this ticket
Jdforrester-WMF triaged this task as Low priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 22 2018, 1:00 AM

(Not quite yet, this code is still live in production until next week.)

MarcoAurelio changed the task status from Open to Stalled.

To process next week onwards then.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptJun 22 2018, 7:08 AM
MarcoAurelio moved this task from Backlog to Cleanup / Archival on the Repository-Admins board.
MarcoAurelio moved this task from Backlog to delete on the GitHub-Mirrors board.
MarcoAurelio moved this task from Backlog to Archive extensions on the Cleanup board.

Change 441589 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/MwEmbedSupport@master] Note that the code of this extension was merged into TimedMediaHandler

https://gerrit.wikimedia.org/r/441589

Change 441589 merged by jenkins-bot:
[mediawiki/extensions/MwEmbedSupport@master] Note that the code of this extension was merged into TimedMediaHandler

https://gerrit.wikimedia.org/r/441589

Dinoguy1000 updated the task description. (Show Details)Jun 25 2018, 7:36 PM

Change 441523 had a related patch set uploaded (by Greg Grossmeier; owner: Jforrester):
[mediawiki/tools/release@master] Stop branching the MwEmbedSupport extension

https://gerrit.wikimedia.org/r/441523

Change 441523 merged by jenkins-bot:
[mediawiki/tools/release@master] Stop branching the MwEmbedSupport extension

https://gerrit.wikimedia.org/r/441523

Mentioned in SAL (#wikimedia-operations) [2018-06-26T18:14:09Z] <marxarelli> scap sync for testwiki is currently failing on l10update due to MwEmbedSupport's deprecation but no change yet to mediawiki/extensions to remove the extension. blocking train on T197918

Mentioned in SAL (#wikimedia-operations) [2018-06-26T18:39:41Z] <marxarelli> setting $wmgUseMwEmbedSupport = false in php-1.32.0-wmf.10/LocalSettings.php to extension registry exception (see T197918 and T191056)

@dduvall Hello. I see this task is listed as blocker of a MediaWiki train. Please let us know if this is still an issue so we can remove and archive the extension where required. Thank you.

Change 443006 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] [MwEmbedHandler] Archive

https://gerrit.wikimedia.org/r/443006

Vvjjkkii renamed this task from Archive the MwEmbedSupport extension to lhaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii changed the task status from Stalled to Open.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii removed MarcoAurelio as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
MarcoAurelio renamed this task from lhaaaaaaaa to Archive the MwEmbedSupport extension.Jul 2 2018, 9:57 AM
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio changed the task status from Open to Stalled.
MarcoAurelio lowered the priority of this task from High to Low.
MarcoAurelio claimed this task.

@Jdforrester-WMF Was this extension undeployed already? Can we archive it? Thanks.

Krinkle added a subscriber: Krinkle.EditedJul 8 2018, 10:02 PM

As long as the placeholder files extension.json and MwEmbedSupport.php remain, archiving can proceed.

These files are kept for compatibility, similar to mediawiki/extensions/Vector.

Change 443006 merged by jenkins-bot:
[integration/config@master] [MwEmbedSupport] Archive

https://gerrit.wikimedia.org/r/443006

Liuxinyu970226 updated the task description. (Show Details)
TheDJ added a subscriber: TheDJ.Aug 1 2018, 12:05 PM

Please take note that the extension is still in use by pre 1.32. It can be confusing for LTS users who need the old version:
https://www.mediawiki.org/wiki/Topic:Uhzp5n14nuojtfxb.

MarcoAurelio lowered the priority of this task from Low to Lowest.Aug 1 2018, 6:09 PM

Please take note that the extension is still in use by pre 1.32. It can be confusing for LTS users who need the old version:
https://www.mediawiki.org/wiki/Topic:Uhzp5n14nuojtfxb.

It also confused CI on release branches. Would be nice to keep the dependency for pre-1.32 branches
https://gerrit.wikimedia.org/r/#/c/integration/config/+/443005/ was the remove

Krinkle removed a subscriber: Krinkle.Aug 7 2018, 3:58 PM

Change 451093 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions@master] Remove MwEmbedSupport

https://gerrit.wikimedia.org/r/451093

Change 451093 merged by Umherirrender:
[mediawiki/extensions@master] Remove MwEmbedSupport

https://gerrit.wikimedia.org/r/451093

Umherirrender updated the task description. (Show Details)Aug 7 2018, 7:53 PM

Just for the sake of clarity (& talking about the code in the 'master' branch, as archiving doesn't happen on REL branches). Can we safely proceed to finally archive this or do you still need to keep the extension.json and the PHP empty entry point? Regards.

Project archived. One task closed and the other left open as it's also tagged with TimedMediaHandler and has a patch for review.

Just for the sake of clarity (& talking about the code in the 'master' branch, as archiving doesn't happen on REL branches). Can we safely proceed to finally archive this or do you still need to keep the extension.json and the PHP empty entry point? Regards.

We can. REL1_31 now doesn't depend on this, and the TMH volunteer community (such as it is) doesn't do support for releases anyway.

Change 455778 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/MwEmbedSupport@master] Archive the MwEmbedSupport extension

https://gerrit.wikimedia.org/r/455778

MarcoAurelio changed the task status from Stalled to Open.Aug 28 2018, 10:56 AM

Un-stalling then. Patch for review on marking the extension as archived.

Change 455778 merged by Jforrester:
[mediawiki/extensions/MwEmbedSupport@master] Archive the MwEmbedSupport extension

https://gerrit.wikimedia.org/r/455778

Mentioned in SAL (#wikimedia-releng) [2018-08-30T19:37:59Z] <Hauskatze> github: deleted mirror of extension-MwEmbedSupport per T197918

MarcoAurelio closed this task as Resolved.

Requiescat in pace, MwEmbedSupport.